<?php

defined('_IN_JOHNCMS') or die('Error:restricted access');

/*
if($user_id)
{
	setcookie('cref', base64_encode($user_id), time() + 3600 * 24 * 365); //Антинакрутка
}
*/

$balsref = 100; //Количаство баллов за рефа

$referals = isset ($_REQUEST['ref']) ? abs(intval($_REQUEST['ref'])) : false;

if($referals) {
	
	$_SESSION['referals'] = $referals;
	
}

if (isset ($_SESSION['referals']))
{

	$result = mysql_query("SELECT * FROM `referals` WHERE `user_id`='" . $_SESSION['referals'] . "' or `ref`='" . $_SESSION['referals'] . "';");
	
	$row_ref = mysql_fetch_assoc($result);
	//Антинакрутка (Проверяем  совпадения	ip и ua у рефа)
	$you_ip = explode('.', $ip);
	$you_ip = $you_ip[0].'.'.$you_ip[1];
	
	$ref_ip = explode('.', long2ip($row_ref['ip']));
	$ref_ip = $ref_ip[0].'.'.$ref_ip[1];
	
	//Ставим флаг
	if(($row_ref['ua']!=$agn) or ($ref_ip != $you_ip))
		$ref_ok = true;
	else
		$ref_ok = false;
}

?>